> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Contractor Onboarding Link

> Sends a contractor onboarding link to the specified contractor's email in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json post /sendContractorLink
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /sendContractorLink:
    post:
      summary: Send Contractor Onboarding Link
      description: Sends a contractor onboarding link to the specified contractor's email.
      operationId: send-contractor-onboarding-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - contractors
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                contractors:
                  type: array
                  description: Array of Contractor objects to be sent onboarding links.
                  items:
                    type: object
                    required:
                      - contractorID
                    properties:
                      contractorID:
                        type: string
                        description: Zeal Contractor ID
                      contractor_acct:
                        type: boolean
                        description: >-
                          If false, the contractor account information (username
                          and password) collection step of onboarding will be
                          left out.
                        default: true
                      id_scan:
                        type: boolean
                        description: >-
                          If false, the ID collection step of contractor
                          onboarding will be left out.
                        default: false
                      paperwork:
                        type: boolean
                        description: >-
                          If false, the paperwork step of the onboarding will be
                          left out.
                        default: true
                      paymentMethod:
                        type: boolean
                        description: >-
                          If false, the onboarding worker will be able to skip
                          the bank account collection section of onboarding.
                        default: true
                      profile_info:
                        type: boolean
                        description: >-
                          If false, the profile information collection step of
                          the onboarding will be left out. If you are leaving
                          the profile information out, please ensure that you
                          have given all contractor information so Zeal can
                          autofill the paperwork.
                        default: true
                      bank_info:
                        type: boolean
                        description: >-
                          If false, the bank account information collection step
                          of the onboarding will be left out.
                        default: true
                      paycard:
                        type: boolean
                        description: >-
                          If false, the paycard enrollment screen will be left
                          out. NOTE: Only applicable for Paycards (Early Access)
                        default: false
                      instant_pay:
                        type: boolean
                        description: >-
                          If false, the Instant Pay enrollment screen will be
                          left out. NOTE: Only applicable for Instant Pay (Early
                          Access)
                        default: false
                      idScanDocuments:
                        type: object
                        description: >-
                          Optional flags controlling which ID documents are
                          collected during the ID scan step.
                        properties:
                          i9_requirements:
                            type: boolean
                          government_photo_id:
                            type: boolean
                          drivers_license:
                            type: boolean
                          social_security_card:
                            type: boolean
                          passport:
                            type: boolean
                          other:
                            type: boolean
            examples:
              Request Example:
                value:
                  companyID: 1eeec343485723ee58afef12
                  contractors:
                    - contractorID: 674759a85785745748e3847a
                      contractor_acct: true
                      id_scan: false
                      paperwork: true
                      paymentMethod: true
                      profile_info: true
                      bank_info: true
                      paycard: false
                      instant_pay: false
                    - contractorID: 774759a85785745748e3847b
                      contractor_acct: false
                      id_scan: true
                      paperwork: true
                      paymentMethod: true
                      profile_info: true
                      bank_info: true
                      paycard: false
                      instant_pay: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - employeeID: 674759a85785745748e3847a
                        link: >-
                          https://payroll.your-domain.com/contractoronboarding/10983755744920193854758300657020834
                      - employeeID: 774759a85785745748e3847b
                        link: >-
                          https://payroll.your-domain.com/contractoronboarding/20983755744920193854758300657020835
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeID:
                          type: string
                          description: >-
                            Zeal Contractor ID (returned under the shared field
                            name employeeID)
                          example: 674759a85785745748e3847a
                        link:
                          type: string
                          description: Web onboarding link for this contractor
                          example: >-
                            https://payroll.your-domain.com/contractoronboarding/10983755744920193854758300657020834
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Failed to create onboarding link for worker
                          674759a85785745748e3847a
                        code: 0
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Failed to create onboarding link for worker
                            674759a85785745748e3847a
                        code:
                          type: integer
                          example: 0
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````